Bug 194066 - [maintainer] emulators/dynamips-community upgrade to 0.2.15
Summary: [maintainer] emulators/dynamips-community upgrade to 0.2.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-01 11:01 UTC by Pavel Volkov
Modified: 2015-08-02 16:40 UTC (History)
3 users (show)

See Also:
pavelivolkov: maintainer-feedback+


Attachments
[path] emulators/dynamips-community (2.56 KB, patch)
2014-10-01 11:01 UTC, Pavel Volkov
pavelivolkov: maintainer-approval+
Details | Diff
patch, update to 2.15 (6.71 KB, patch)
2015-07-26 15:15 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Volkov 2014-10-01 11:01:27 UTC
Created attachment 147882 [details]
[path] emulators/dynamips-community

- Upgrade to new version.
- Change on distribution over GitHub.
- Builds with use CMake.
Comment 1 John Marino freebsd_committer 2014-10-31 17:55:26 UTC
Two suggestions:

1) Always prefix your title with "[maintainer] ".  It will get extra attention sometimes.

2) Add a poudriere test log as a attachment, one that shows stage-qa checks.  


At a slight risk due to the lack of test logs, I'll move it patch-ready pool now so I hope it's really ready to go.
Comment 2 Pawel Pekala freebsd_committer 2014-11-02 13:47:16 UTC
Fails to patch:

===>  Patching for dynamips-community-0.2.14
===>  Applying FreeBSD patches for dynamips-community-0.2.14
No file to patch.  Skipping...
1 out of 1 hunks ignored--saving rejects to Makefile.rej
=> Patch patch-Makefile failed to apply cleanly.
*** Error code 1
Comment 3 Kurt Jaeger freebsd_committer 2015-07-26 14:29:10 UTC
There's a 2.15 now available. Using your patches, it looks like it can be build.
Testing @work.
Comment 4 Kurt Jaeger freebsd_committer 2015-07-26 15:15:07 UTC
Created attachment 159242 [details]
patch, update to 2.15

build logs for 10.1a, 10.1i, 9.3a see

http://people.freebsd.org/~pi/logs/emulators__dynamips-community*

Please approve.
Comment 5 Pavel Volkov 2015-08-01 04:59:10 UTC
Hello.
I'm approve.
Thanks.
Comment 6 commit-hook freebsd_committer 2015-08-02 16:39:34 UTC
A commit references this bug:

Author: pi
Date: Sun Aug  2 16:39:15 UTC 2015
New revision: 393433
URL: https://svnweb.freebsd.org/changeset/ports/393433

Log:
  emulators/dynamips-community: 0.2.12 -> 0.2.15

  - Add optional argument 'format' to hypervisor commands
    - 'send_con_msg' and 'send_aux_msg'.
    - Report "X byte(s) written" on succeess.
    - String formats:
      * plain - plain string (default, old behavior)
      * base64 - base64 encoded string
  - Use an auxiliary variable to record configured ram size for npe-400
  - Fixed issue #49 - IOS crashes after router restart
  - Fixed issue #50 - vm send_con_msg

  PR:		194066
  Submitted by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)

Changes:
  head/emulators/dynamips-community/Makefile
  head/emulators/dynamips-community/distinfo
  head/emulators/dynamips-community/files/
  head/emulators/dynamips-community/pkg-descr
Comment 7 Kurt Jaeger freebsd_committer 2015-08-02 16:40:04 UTC
Committed, thanks for your patience.